Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000309Frama-CKernel > ACSL implementationpublic2009-10-30 13:192010-04-13 15:33
ReporterNikolai_Kosmatov 
Assigned Tovirgile 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Beryllium-20090902 
Target VersionFixed in VersionFrama-C Boron-20100401 
Summary0000309: After ./confugure with --disable-all-staff options and make static, frama-c-Myplugin.byte crashes
DescriptionAfter configuring frama-c with the following options

-----------------------
./configure --disable-constant_propagation --disable-from --disable-gui --disable-impact --disable-inout --disable-ltl_to_acsl --disable-metrics --disable-miel --disable-occurrence --disable-pdg --disable-postdominators --disable-scope --disable-security --disable-semantic_callgraph --disable-slicing --disable-sparecode --disable-syntactic_callgraph --disable-users --disable-value --disable-wp
-----------------------

make
sudo make install

and make static for Myplugin, frama-c-Myplugin.byte crashes with the following output :

------------------------
[kernel] warning: cannot load plug-in Ltl_to_acsl
                  (incompatible with Beryllium-20090902+dev)

[Myplugin] started...
[kernel] preprocessing with "gcc -w -E -dD -include "/lib/lancPthc.h" merge.c"
[kernel] Unexpected error (Type.StringTbl.Unbound_value("Dynamic.Bool.get \"-warn-unspecified-order\"")).
         Please report as 'crash' at http://bts.frama-c.com [^]
------------------------

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000523)
virgile (developer)
2009-11-04 10:09
edited on: 2009-11-04 10:09

NB: -warn-unspecified-order has now disappeared, only -unspecified-access exists now (and it is a kernel option, thus available even if all plugins are disabled)

(0000583)
signoles (manager)
2009-11-26 10:56

Note that there is now a configure option called "--with-no-plugin" which automatically disables all plug-ins.

- Issue History
Date Modified Username Field Change
2009-10-30 13:19 Nikolai_Kosmatov New Issue
2009-10-30 19:43 signoles Status new => assigned
2009-10-30 19:43 signoles Assigned To => virgile
2009-10-30 19:43 signoles Relationship added duplicate of 0000307
2009-11-04 10:02 svn Checkin
2009-11-04 10:02 svn Status assigned => resolved
2009-11-04 10:02 svn Resolution open => fixed
2009-11-04 10:09 virgile Note Added: 0000523
2009-11-04 10:09 virgile Status resolved => feedback
2009-11-04 10:09 virgile Resolution fixed => reopened
2009-11-04 10:09 virgile Note Edited: 0000523
2009-11-26 10:56 signoles Note Added: 0000583
2009-11-26 10:56 signoles Status feedback => resolved
2009-11-26 10:56 signoles Resolution reopened => fixed
2010-02-05 09:45 signoles Category Kernel => Kernel > ACSL implementation
2010-04-13 15:30 signoles Status resolved => new
2010-04-13 15:31 signoles Status new => closed
2010-04-13 15:33 signoles Fixed in Version => Frama-C Boron


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker